%define version 0.4.0
%define release alt2
%setup_python_module xmpp

Summary: XMPP-IM-compliant library for jabber instant messenging.
Name: %{packagename}
Version: %{version}
Release: %{release}.1
Source0: %{modulename}py-%{version}.tar.gz
#Patch0: xmpp-0.4-pre2-locale.patch
License: GPL
Group: Development/Python
Prefix: %{_prefix}
BuildArchitectures: noarch
Vendor: Alexey Nezhdanov <snakeru@users.sourceforge.net>
Packager: Andrey Orlov <cray@altlinux.org>
Url: http://xmpppy.sourceforge.net/

%description
This library provides functionality for writing xmpp-compliant
jabber clients and/or components.

It was initially designed as rework of jabberpy library but
lately become separate product.

Unlike jabberpy it is distributed under the terms of GPL.

%prep
%setup  -q -n %{modulename}py-%version
#patch0 -p1

%build
%__python setup.py build

%install
%__python setup.py install --root=%buildroot --optimize=2 --record=INSTALLED_FILES
install -d %buildroot/%python_tooldir %buildroot/usr/bin/
cp doc/examples/xsend.py %buildroot/%python_tooldir/jabber_send.py
ln -sf %python_tooldir/jabber_send.py %buildroot/usr/bin/jabber_send

#files -f INSTALLED_FILES
%files
%defattr(-,root,root)
%doc doc/*
%python_tooldir/*
%_bindir/*
%python_sitelibdir/xmpp

%changelog
* Tue Jan 29 2008 Grigory Batalov <bga@altlinux.ru> 0.4.0-alt2.1
- Rebuilt with python-2.5.

* Tue Jan 22 2008 Grigory Batalov <bga@altlinux.ru> 0.4.0-alt2
- Use python_sitelibdir macro while packaging.

* Fri Feb 02 2007 Mikhail Pokidko <pma@altlinux.ru> 0.4.0-alt1
- NMU. Version 0.4.0.

* Mon Mar 07 2005 Andrey Orlov <cray@altlinux.ru> 0.2-alt3.pre2
- xsend installed in tooldir as jabber_send

* Sun Mar 06 2005 Andrey Orlov <cray@altlinux.ru> 0.2-alt2.pre2
- initial release

